Issue578

Title Add back XMP support to cc.engine
Priority critical Status resolved
Project License Engine Milestone
Superseder Nosy List cwebber, jedoig, nyergler
Assigned To cwebber Keywords

Created on 2010-05-07.19:35:11 by cwebber, last changed 2010-05-21.16:31:31 by cwebber.

Messages
msg1752 (view) Author: cwebber Date: 2010-05-21.16:31:30
I guess I forgot to close this.
msg1742 (view) Author: cwebber Date: 2010-05-07.22:55:12
This works now.

http://staging.creativecommons.org/choose/xmp?q_1=2&q_1=1&field_commercial=yes&field_derivatives=yes&field_jurisdiction=us&field_format=&field_worktitle=&field_attribute_to_name=&field_attribute_to_url=&field_sourceurl=&field_morepermissionsurl=&lang=en_US&language=en_US&n_questions=3

There appears to be one difference between staging and live..

live:
        <rdf:li xml:lang='x-default' >This work is licensed under a Creative Commons Attribution 3.0 United States License.</rdf:li>

staging:
        <rdf:li xml:lang='x-default' >This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/3.0/us/">Creative Commons Attribution 3.0 United States License</a>.</rdf:li>

However, as far as I can tell the right thing is happening on staging.  That section of the output is filled by interpolating the output of license.work_type_licensed, which seems to be wrapped in an anchor tag from what I'm looking at.  So.. I don't think that's a problem?

Anyway, things are working, so that's good.  Maybe we should move the XMP stuff into a formatter in cc.license but we should be good for launch at least.
msg1741 (view) Author: cwebber Date: 2010-05-07.22:55:10
This works now.

http://staging.creativecommons.org/choose/xmp?q_1=2&q_1=1&field_commercial=yes&field_derivatives=yes&field_jurisdiction=us&field_format=&field_worktitle=&field_attribute_to_name=&field_attribute_to_url=&field_sourceurl=&field_morepermissionsurl=&lang=en_US&language=en_US&n_questions=3

There appears to be one difference between staging and live..

live:
        <rdf:li xml:lang='x-default' >This work is licensed under a Creative
Commons Attribution 3.0 United States License.</rdf:li>

staging:
        <rdf:li xml:lang='x-default' >This work is licensed under a <a
rel="license" href="http://creativecommons.org/licenses/by/3.0/us/">Creative
Commons Attribution 3.0 United States License</a>.</rdf:li>

However, as far as I can tell the right thing is happening on staging.  That
section of the output is filled by interpolating the output of
license.work_type_licensed, which seems to be wrapped in an anchor tag from what
I'm looking at.  So.. I don't think that's a problem?

Anyway, things are working, so that's good.  Maybe we should move the XMP stuff
into a formatter in cc.license but we should be good for launch at least.
msg1740 (view) Author: cwebber Date: 2010-05-07.19:35:11
One thing that was apparently missed in the sanity work on cc.engine was the XMP
support, like:

http://creativecommons.org/choose/xmp?q_1=2&q_1=1&field_commercial=yes&field_derivatives=yes&field_jurisdiction=us&field_format=&field_worktitle=&field_attribute_to_name=&field_attribute_to_url=&field_sourceurl=&field_morepermissionsurl=&lang=en_US&language=en_US&n_questions=3

I'm working on adding this back.  Nathan said the ideal place to add it is
probably as a cc.license formatter.  That's probably true, but it might take a
little bit longer to do right.  I think I can get this working in cc.engine, if
not today, than probably within 24 hours after launch, by working it directly
into the chooser/views.py module's code directly.  Then we can factor things out
afterward into a nicer, cleaner formatter.

Assuming that's okay, that's what I'm doing right now.
History
Date User Action Args
2011-10-14 22:35:46Bekins979linkissue579 superseder
2010-05-21 16:31:31cwebbersetstatus: chatting -> resolved
messages: + msg1752
2010-05-07 22:55:12cwebbersetstatus: resolved -> chatting
messages: + msg1742
2010-05-07 22:55:10cwebbersetstatus: unread -> resolved
messages: + msg1741
2010-05-07 19:35:11cwebbercreate